Skip to content

Create a Strategy Template

Request

Create a strategy template

Security
Auth0(Required scopes: offline_accessmanage:services)
Bodyapplication/json
organization_idinteger or null, (int32)
agency_idinteger or null, (int32)
advertiser_idinteger or null, (int32)
globalboolean or null
namestring, [ 1 .. 256 ] charactersrequired
descriptionstring, [ 1 .. 256 ] charactersrequired
templatestringrequired
POST
/strategy_templates
curl -i -X POST \
  https://api.mediamath.com/api/v3.0/strategy_templates \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "global": true,
    "name": "valid strategy template (Global)",
    "description": "this is an example of valid strategy template  at Global level",
    "template": "key: value"
  }'

Responses

Strategy created response

Bodyapplication/json
dataobject
metaobject(single_metadata)
Response
{ "data": { "organization_id": 0, "agency_id": 0, "advertiser_id": 0, "global": true, "name": "string", "description": "string", "template": {}, "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z" }, "meta": { "status": "success" } }